ONEVDC(1)

NAME
onevdc

SYNOPSIS
onevdc command [args] [options]

OPTIONS
 -f, --force               Force the usage of Hosts in more than one VDC
 -j, --json                Show the resource in JSON format
 -s, --hosts 1,2,3         Host IDs
 -d, --datastores 1,2,3    Datastore IDs
 -n, --networks 1,2,3      Network IDs
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create file

    Create a new VDC
    valid options: force

•   show vdcid

    Show information of a particular VDC
    valid options: json

•   list

    Lists VDCs in the pool
    valid options: json

•   delete vdcid

    Deletes a VDC

•   add vdcid

    Adds the set of resources to the VDC
    valid options: force, hosts, datastores, networks

•   del vdcid

    Deletes the set of resources from the VDC
    valid options: hosts, datastores, networks

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   vdcid

    VDC ID

LICENSE
OpenNebula 3.4.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0